package com.ssj.bean.weixin.zyb.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年3月13日 下午12:29:45 
 * 类说明 
 */
public class ZuoybKnowModule implements Serializable {

    private static final long serialVersionUID = 1L;
    
	private String  courseName;
	private String  module;
	private String  howActive;
	private List<ZuoybStudentWorkHow>  studentWorkHowList = new ArrayList<ZuoybStudentWorkHow>();
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public String getModule() {
		return module;
	}
	public void setModule(String module) {
		this.module = module;
	}
	
	
	 public List<ZuoybStudentWorkHow> getStudentWorkHowList() {
		return studentWorkHowList;
	}
	public void setStudentWorkHowList(List<ZuoybStudentWorkHow> studentWorkHowList) {
		this.studentWorkHowList = studentWorkHowList;
	}
	public String getHowActive() {
		return howActive;
	}
	public void setHowActive(String howActive) {
		this.howActive = howActive;
	}
	@Override
	 public boolean equals(Object obj) {
	        if(obj==null){
	            return false;
	        }
	        if(this==obj){
	            return true;
	        }
	        if(obj instanceof ZuoybKnowModule){
	        	ZuoybKnowModule how=(ZuoybKnowModule)obj;
	            if(how.module==this.module&&how.courseName.equals(this.courseName)){
	                return true;
	            }else{
	                return false;
	            }
	        }
	        return false;
	  }
	
}
